/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.enums.EnumCalculated;
import de.ship.db.tables.TDmCalculated;

import java.time.LocalDateTime;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TDmCalculatedRecord extends UpdatableRecordImpl<TDmCalculatedRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_dm_calculated.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_calculated.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(0);
    }

    /**
     * Setter for <code>common_dd.t_dm_calculated.fk_variable</code>. ID of
     * variable
     */
    public void setFkVariable(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_calculated.fk_variable</code>. ID of
     * variable
     */
    public Integer getFkVariable() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.t_dm_calculated.calc_tool</code>. calculation
     * tool
     */
    public void setCalcTool(EnumCalculated value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_calculated.calc_tool</code>. calculation
     * tool
     */
    public EnumCalculated getCalcTool() {
        return (EnumCalculated) get(2);
    }

    /**
     * Setter for <code>common_dd.t_dm_calculated.calc_order</code>. order of
     * calculating
     */
    public void setCalcOrder(Integer value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_calculated.calc_order</code>. order of
     * calculating
     */
    public Integer getCalcOrder() {
        return (Integer) get(3);
    }

    /**
     * Setter for <code>common_dd.t_dm_calculated.fk_tabledef</code>. variable
     * reference (key_variable) for this adding
     */
    public void setFkTabledef(Integer value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_calculated.fk_tabledef</code>. variable
     * reference (key_variable) for this adding
     */
    public Integer getFkTabledef() {
        return (Integer) get(4);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TDmCalculatedRecord
     */
    public TDmCalculatedRecord() {
        super(TDmCalculated.T_DM_CALCULATED);
    }

    /**
     * Create a detached, initialised TDmCalculatedRecord
     */
    public TDmCalculatedRecord(LocalDateTime lastchange, Integer fkVariable, EnumCalculated calcTool, Integer calcOrder, Integer fkTabledef) {
        super(TDmCalculated.T_DM_CALCULATED);

        setLastchange(lastchange);
        setFkVariable(fkVariable);
        setCalcTool(calcTool);
        setCalcOrder(calcOrder);
        setFkTabledef(fkTabledef);
        resetChangedOnNotNull();
    }
}
